> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Get a publish access record

GET https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/{id}/

Retrieve a single image or marketplace demo publish access record visible to your account. The record type is resolved from the UUID.

**Required scopes (any one):**

- `air:image_write` (roles: `air_image_publisher`, `air_image_uploader`)
- `air:image_publish` (roles: `air_image_publisher`)
- `air:marketplace_demo_write` (roles: `air_demo_manager`, `air_org_admin`, `air_user`)
- `air:marketplace_demo_publish` (roles: `air_demo_manager`)

Reference: https://docs.nvidia.com/dsx-air/api-reference/publishing/api-v-3-publishing-image-publish-access-records-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this image publish access record.

## Response

### 200

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `type` (string, required) — Whether this record governs an image or marketplace demo.
- `resource_id` (string, required) — UUID of the governed image or marketplace demo.
- `resource_name` (string, required, nullable) — Name of the governed image or marketplace demo.
- `resource_version` (string, required, nullable) — Version of the governed image; null for marketplace demos.
- `requested_by` (string, required, nullable) — Email of the user who submitted this record.
- `requesting_org` (string, required, nullable) — Human-readable name of the org that submitted this record.
- `requesting_org_display_name` (string, required, nullable) — Requesting org display name.
- `requesting_org_ngc_org_name` (string, required, nullable) — Requesting org NGC name.
- `reviewed_by` (string, required, nullable) — Email of the user who reviewed this record, if reviewed.
- `status` (enum, required) — * `PENDING` - Pending * `APPROVED` - Approved * `DENIED` - Denied * `REMOVED` - Removed * `CANCELLED` - Cancelled * `PENDING_ELEVATION` - Pending Elevation * `PENDING_RESTRICTION` - Pending Restriction * `PENDING_UNPUBLISH` - Pending Unpublish * `PENDING_ALLOWLIST` - Pending Allow List Change * `APPROVED_PENDING_IMAGE_PUBLISH` - Approved Pending Image Publish
  - Allowed values: `PENDING`, `APPROVED`, `DENIED`, `REMOVED`, `CANCELLED`, `PENDING_ELEVATION`, `PENDING_RESTRICTION`, `PENDING_UNPUBLISH`, `PENDING_ALLOWLIST`, `APPROVED_PENDING_IMAGE_PUBLISH`
- `publicly_published` (boolean, required)
- `prefer_public` (boolean, required)
- `justification` (string, required)
- `allowed_orgs_request_text` (string, required)
- `denial_reason` (string, required)
- `requested_at` (datetime, required, nullable)
- `reviewed_at` (datetime, required, nullable)

## Errors

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "type": "string",
  "resource_id": "string",
  "resource_name": "string",
  "resource_version": "string",
  "requested_by": "string",
  "requesting_org": "string",
  "requesting_org_display_name": "string",
  "requesting_org_ngc_org_name": "string",
  "reviewed_by": "string",
  "status": "PENDING",
  "publicly_published": true,
  "prefer_public": true,
  "justification": "string",
  "allowed_orgs_request_text": "string",
  "denial_reason": "string",
  "requested_at": "2024-01-15T09:30:00Z",
  "reviewed_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/publishing/publish-access-records/id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```